export interface IDataCloneStrategy {
    /**
     * Clones provided data
     * @param data primitive value, date and object to be cloned
     * @returns deep copy of provided value
     */
    clone(data: any): any;
}
/**
 * Simplified data clone strategy that deep clones primitive values, dates and objects.
 * Does not support circular references in objects.
 */
export declare class DefaultDataCloneStrategy implements IDataCloneStrategy {
    clone(data: any): any;
}
/**
 * Data clone strategy that is uses cache to deep clone primitive values, dates and objects.
 * It allows using circular references inside object.
 */
export declare class CachedDataCloneStrategy implements IDataCloneStrategy {
    clone(data: any): any;
}
